Bug 218178

Summary: Remove uses of MakeCurrent from WebGL implementation
Product: WebKit Reporter: Kimmo Kinnunen <kkinnunen>
Component: WebGLAssignee: Kimmo Kinnunen <kkinnunen>
Status: RESOLVED FIXED    
Severity: Normal CC: aakash_jain, ap, cdumez, changseok, cmarcelo, commit-queue, dino, esprehn+autocc, ews-watchlist, graouts, gyuyoung.kim, kkinnunen, koivisto, kondapallykalyan, luiz, ryanhaddad, simon.fraser, webkit-bot-watchers-bugzilla, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Local Build   
Hardware: Mac   
OS: Unspecified   
Bug Depends on: 218803    
Bug Blocks: 217211    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Kimmo Kinnunen 2020-10-26 05:43:25 PDT
Remove uses of MakeCurrent from WebGL implementation

MakeCurrent is implementation detail of the particular context class, and should be only called by the public entry points of each class and the corresponding extension class.

It does not make sense for "remote webgl context" to have a MakeCurrent
Comment 1 Radar WebKit Bug Importer 2020-10-27 02:14:47 PDT
<rdar://problem/70714561>
Comment 2 Kimmo Kinnunen 2020-10-27 03:15:28 PDT
Created attachment 412405 [details]
Patch
Comment 3 Kimmo Kinnunen 2020-11-11 03:36:23 PST
Created attachment 413807 [details]
Patch
Comment 4 Kimmo Kinnunen 2020-11-11 03:38:49 PST
Comment on attachment 413807 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=413807&action=review

> Source/WebCore/platform/graphics/angle/GraphicsContextGLANGLE.cpp:-647
> -    moveErrorsToSyntheticErrorList();

Added this hunk since Dean's review.
Comment 5 EWS 2020-11-11 04:28:06 PST
Committed r269680: <https://trac.webkit.org/changeset/269680>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 413807 [details].
Comment 6 Aakash Jain 2020-11-11 08:00:51 PST
(In reply to EWS from comment #5)
> Committed r269680: <https://trac.webkit.org/changeset/269680>
This seems to have broken webgl/1.0.3/conformance/renderbuffers/framebuffer-state-restoration.html on ios-wk2.

EWS also indicated this failure in https://ews-build.webkit.org/#/builders/51/builds/1638, should have waited for EWS to finish before cq+ing it.
Comment 7 WebKit Commit Bot 2020-11-11 08:15:41 PST
Re-opened since this is blocked by bug 218803
Comment 8 Kimmo Kinnunen 2020-11-12 23:53:37 PST
Created attachment 414006 [details]
Patch
Comment 9 EWS 2020-11-13 01:53:26 PST
Committed r269768: <https://trac.webkit.org/changeset/269768>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 414006 [details].